- content_for :head do
	== assets [:css, :tom_select]
	== assets [:js, :tom_select]
	== assets [:js, :section_list]
	== assets [:js, :htmx]
	javascript:
		window.addEventListener("load", function() {
			section_list(
				document.querySelectorAll("section.rate-card"),
				document.querySelector("#tel-search"),
				#{{(plan.currency == :CAD ? "CA" : "US").to_json}},
			);
			new TomSelect("#section-list > select", {
				plugins: [
					"change_listener",
					"no_backspace_delete",
					"dropdown_input"
				],
				highlight: false,
				maxOptions: 500
			});
		});

	scss:
		body > section {
			max-width: 32em;
			margin: auto;

			& > h1 {
				text-align: center;
			}
		}

		#bonus {
			text-align: center;
			table { margin: auto; }
		}

		#section-list {
			position: relative;
			margin: 0 auto;
			max-width: 30em;
			text-align: right;

			& > select {
				display: block;
				margin: 0 auto;
				font-size: 1.2em;
				padding: 0.2em;
				text-align: left;
			}


			& > button {
				position: absolute;
				top: 0.2em;
				right: 0.2em;
				z-index: 900;
				font-size: 0.6em;
				margin-bottom: 0.2em;
			}

			.ts-wrapper {
				text-align: left;

				* { box-sizing: border-box; }
			}
		}

		.rate-card {
			border: 1px dotted #000;
			padding: 1em;
			margin: 0.5em auto;
			max-width: 30em;

			> h1 { margin-top: 0; }

			> table {
				width: 100%;

				th { text-align: left; }
			}
		}

		#tel-search {
			display: block;
			margin-bottom: 0.2em;

			> input {
				display: inline-block;
				font-size: 1em;
				width: calc(100% - 6em);
				max-width: 25em;

				@media(min-width: 34em) {
					margin-left: 1em;
				}
			}

			> span {
				padding-left: 1em;
			}
		}

section
	h1= "Plan (#{plan.currency})"

	ul
		li= "$#{'%.2f' % plan.monthly_price} / month"
		li= "includes #{plan.message_limit.to_s}"
		li= "includes #{plan.minute_limit.to_s}"
		li= "incoming calls $#{'%.4f' % plan.minute_limit.price} / minute"

	section#bonus
		p Large top ups receive bonus credit.

		table
			tr
				th More than
				th Bonus of
			tr
				td $15
				td 1%
			tr
				td $30
				td 3%
			tr
				td $140
				td 5%

section#outgoing
	h1 Outgoing Call Rates

	form#tel-search method="get" action="" hx-get="#" hx-target="#prefix-result"
		input.ts-control{
			type="tel"
			name="prefix"
			placeholder="Search by telephone number"
			hx-get="#"
			hx-trigger="keyup delay:500ms changed"}
		span#prefix-result

	- cards.each do |(country, card)|
		== render "rate_card", locals: { country: country, card: card }
